commit: b32e48228fdea1dc5b7b0ace2128f7d7178d19f4
Author: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 28 20:49:20 2015 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Oct 28 20:51:08 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b32e4822
dev-perl/Pango: Add patch preventing failure at compile time. Fixes bug 562216.
Package-Manager: portage-2.2.20.1
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>
dev-perl/Pango/Pango-1.224.0-r1.ebuild | 36 ++++++++++++++++++++++++
dev-perl/Pango/files/Pango-1.224.0-linking.patch | 10 +++++++
2 files changed, 46 insertions(+)
diff --git a/dev-perl/Pango/Pango-1.224.0-r1.ebuild
b/dev-perl/Pango/Pango-1.224.0-r1.ebuild
new file mode 100644
index 0000000..60b8bba
--- /dev/null
+++ b/dev-perl/Pango/Pango-1.224.0-r1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MODULE_AUTHOR=XAOC
+MODULE_VERSION=1.224
+inherit perl-module
+
+DESCRIPTION="Layout and render international text"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86
~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ >=dev-perl/glib-perl-1.220.0
+ >=dev-perl/Cairo-1.0.0
+ >=x11-libs/pango-1.0.0
+"
+DEPEND="
+ ${RDEPEND}
+ >=dev-perl/ExtUtils-Depends-0.300.0
+ >=dev-perl/extutils-pkgconfig-1.30.0
+"
+
+PATCHES=(
+ "${FILESDIR}"/"${P}-linking.patch"
+)
+
+src_prepare() {
+ perl-module_src_prepare
+ sed -i -e "s:exit 0:exit 1:g" "${S}"/Makefile.PL || die "sed failed"
+}
diff --git a/dev-perl/Pango/files/Pango-1.224.0-linking.patch
b/dev-perl/Pango/files/Pango-1.224.0-linking.patch
new file mode 100644
index 0000000..e93069b
--- /dev/null
+++ b/dev-perl/Pango/files/Pango-1.224.0-linking.patch
@@ -0,0 +1,10 @@
+--- Makefile.PL
++++ Makefile.PL
+@@ -161,6 +161,7 @@
+ if ($have_cairo) {
+ push @deps, qw/Cairo/;
+ $inc .= $pangocairo_pkgcfg{cflags};
++ $libs .= ' ';
+ $libs .= $pangocairo_pkgcfg{libs};
+ }
+